/*
 * Copyright 2003 Davor Cubranic
 *
 * This file is part of jLOM.
 *
 * jLOM is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * jLOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with jLOM; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package midnight;

/**
 * Enum class for describing character race.
 */
public class Race {
	public static final Race FREE = new Race("Free");
	public static final Race FEY = new Race("Fey");
	public static final Race WISE = new Race("Wise");
	public static final Race TARG = new Race("Targ");
	public static final Race SKULKRIN = new Race("Skulkrin");
	public static final Race DRAGON = new Race("Dragon");
	public static final Race FOUL = new Race("Foul");
	public static final Race MORKIN = new Race("Morkin");

	private static final Race [] values = {FOUL, FREE, FEY, TARG, WISE, MORKIN, SKULKRIN, DRAGON};
	
	private String description;

	private Race(String description) {
		this.description = description;
	}
	
	public String toString() {
		return description;
	}
	
	/**
	 * Returns the race represented by the index.
	 */
	public int getIndex() {
		for (int i = 0; i < values.length; i++) {
			Race r = values[i];
			if (r == this) return i;
		}
		return -1;
	}
	
	/**
	 * Returns the race's index in Race enum.
	 */
	public static Race getRace(int index) {
		return values[index];
	}
}
